Bug 1647440 - [RFE][UI] Provide information about the VM next run
Summary: [RFE][UI] Provide information about the VM next run
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.2.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ovirt-4.4.1
: ---
Assignee: Lucia Jelinkova
QA Contact: Ivana Saranova
URL:
Whiteboard:
Depends On:
Blocks: 1711795
TreeView+ depends on / blocked
 
Reported: 2018-11-07 13:39 UTC by Roman Hodain
Modified: 2021-05-04 12:55 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
The current release adds a new feature: On the VM list page, the tooltip for the VM type icon shows a list of the fields you have changed between the current and the next run of the virtual machine.
Clone Of:
: 1647455 1711795 (view as bug list)
Environment:
Last Closed: 2020-08-04 13:16:18 UTC
oVirt Team: Virt
Target Upstream Version:
isaranov: testing_plan_complete+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:3247 0 None None None 2020-08-04 13:16:43 UTC
oVirt gerrit 100108 0 'None' MERGED engine: show vm's next run configuration 2021-02-16 12:39:22 UTC

Comment 1 Michal Skrivanek 2018-11-08 05:38:45 UTC
UI does show that in Edit VM dialog.

Comment 2 Ryan Barry 2018-11-13 03:19:53 UTC
This is already available. Please re-open if the information in comment#1 is not sufficient

Comment 3 Roman Hodain 2018-11-13 09:01:00 UTC
(In reply to Michal Skrivanek from comment #1)
> UI does show that in Edit VM dialog.

Not really.

It will never find the difference between the current and the next run.

Comment 5 Michal Skrivanek 2018-11-13 15:28:11 UTC
How do you suggest to show that information?

Comment 6 Roman Hodain 2018-11-14 09:24:44 UTC
(In reply to Michal Skrivanek from comment #5)
> How do you suggest to show that information?

For example a list of changes in the "General" tab of the VM. Or in the "Next run configuration" snapshot details. But I would prefer the first one as it is more natural to show it there. The next run snapshot is more of RHV internal thing and users may have trouble to find it without reading the documentation.

Comment 7 Michal Skrivanek 2018-11-14 09:44:10 UTC
a similar list to the one we show when saving the edit vm would probably be possible. Perhaps in a popup of the triangle icon.. 
Note that it's not that simple as it may sound, there are properties which are not presented in UI, are dependent on other properties, etc.

Comment 8 Laura Wright 2018-12-04 14:56:33 UTC
@Michal I can take a look at this if you like.

Comment 9 Sandro Bonazzola 2019-01-28 09:40:30 UTC
This bug has not been marked as blocker for oVirt 4.3.0.
Since we are releasing it tomorrow, January 29th, this bug has been re-targeted to 4.3.1.

Comment 13 RHV bug bot 2019-12-13 13:14:08 UTC
WARN: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 14 RHV bug bot 2019-12-20 17:44:04 UTC
WARN: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 15 RHV bug bot 2020-01-08 14:49:36 UTC
WARN: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 16 RHV bug bot 2020-01-08 15:17:43 UTC
WARN: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 17 RHV bug bot 2020-01-24 19:51:26 UTC
WARN: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 18 Ivana Saranova 2020-01-30 13:13:22 UTC
Steps:
1) Have a running VM.
2) Change some VM properties in edit, for example memory size, physical guaranteed memory, or virtual sockets (apply later option)
3) Check that UI symbol is present with all the properties changed listed
4) Shutdown and start up VM
5) Check that UI symbol disappeared and properties are applied

Results:
Orange triangle appeared over the VM icon after changing the properties. A message with text that changes will be applied in the next run and a list of the changed properties is shown when mouse hovering over the icon. After rerunning the VM, the triangle symbol disappeared and changes were applied.

Verified in:
ovirt-engine-4.4.0-0.17.master.el7.noarch
ovirt-engine-webadmin-portal-4.4.0-0.17.master.el7.noarch

Comment 25 errata-xmlrpc 2020-08-04 13:16:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: RHV Manager (ovirt-engine) 4.4 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:3247


Note You need to log in before you can comment on or make changes to this bug.